# Analysis scripts for "Folding kinetics of an entangled protein"
This repository contains a structured collection of scripts and notebooks used to analyse the folding and equilibrium trajectories of single-domain proteins. This repo is meant to be used as a reference, for more details or help to reproduce some or the results, please contact the authors.

If you find typos or errors, you are kindly asked to one an Issue via GitHub or email the authors.

## Installation
1. Create a  virtual environment and activate it
2. Navigate into the `entangled_folding` directory and execute: 
   ```python -m pip install -e .```

   - the `--editable or -e` option allows you to change the content of the package
   - all the requirements are automatically installed in the virtual environment

## How to use
Modify paths in module `./analysis/utils/paths.py` to let all other scripts where data (contact maps, simulated trajectories etc.) are stored.