import os
import setuptools
from setuptools.extension import Extension

from Cython.Build import cythonize

extensions = [
    Extension(
        'utils.GE_routine', # this tells setuptools where to put the .so, fundamental to be imported
        # from other python scripts. The path starts from utils because in the "setup.cfg"
        # I have specified as root directory "analysis"
        [os.path.join('analysis', 'utils', 'GE_routine.pyx')]
    ),
    Extension(
        'utils.q_routines',
        [os.path.join('analysis', 'utils', 'q_routines.pyx')]
    )
]

setuptools.setup(
    ext_modules=cythonize(
        extensions,
        language_level=3, # ! important because it permits the correct compilation of GE_routine
        annotate=True),
    # zip_safe=False
    # https://cython.readthedocs.io/en/latest/src/userguide/source_files_and_compilation.html#configuring-the-c-build
)
